aboutsummaryrefslogtreecommitdiff
path: root/bigtop-packages/src/common/tajo/do-component-build
diff options
context:
space:
mode:
authoryeongeon <yeongeon@gmail.com>2016-02-15 10:56:01 +0900
committerYoungwoo Kim <ywkim@apache.org>2016-02-15 20:22:04 +0900
commit22caf2ad8d253edf6da83bcdabda8038cbbdd5e8 (patch)
tree083ff24a8a1c1f7509845c2d3895777c6f8a435c /bigtop-packages/src/common/tajo/do-component-build
parentabc43b8073b2c1818214ad5cbd7bbf458785f0b8 (diff)
downloadbigtop-odpi-22caf2ad8d253edf6da83bcdabda8038cbbdd5e8.tar.gz
BIGTOP-2179: Add packaging scripts for Apache Tajo
Signed-off-by: Youngwoo Kim <ywkim@apache.org>
Diffstat (limited to 'bigtop-packages/src/common/tajo/do-component-build')
-rw-r--r--bigtop-packages/src/common/tajo/do-component-build28
1 files changed, 28 insertions, 0 deletions
diff --git a/bigtop-packages/src/common/tajo/do-component-build b/bigtop-packages/src/common/tajo/do-component-build
new file mode 100644
index 00000000..579a3261
--- /dev/null
+++ b/bigtop-packages/src/common/tajo/do-component-build
@@ -0,0 +1,28 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+# recognize for TAJO_VERSION, HADOOP_VERSION
+. `dirname $0`/bigtop.bom
+
+rm -rf build
+mkdir build
+
+mvn clean package -DskipTests -Pdist -Dtar -Dhadoop.version=$HADOOP_VERSION "$@"
+
+(cd build; tar --strip-components=1 -xzvf ../tajo-dist/target/tajo-${TAJO_VERSION}.tar.gz)
+